Summary:	xtrans library - network API translation layer
Summary(pl.UTF-8):	Biblioteka xtrans - warstwa tłumaczenia sieciowego API
Name:		xorg-lib-xtrans
Version:	1.3.2
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.bz2
# Source0-md5:	050eb8f1d41e254f508bab72f1c10d6e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xtrans library provides network API translation layer to insulate X
applications and libraries from OS network vagaries.

%description -l pl.UTF-8
Biblioteka xtrans dostarcza warstwę tłumaczenia sieciowego API służącą
do oddzielenia aplikacji i bibliotek X od kaprysów sieciowych systemu
operacyjnego.

%package devel
Summary:	xtrans library - network API translation layer
Summary(pl.UTF-8):	Biblioteka xtrans - warstwa tłumaczenia sieciowego API
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXtrans-devel

%description devel
xtrans library provides network API translation layer to insulate X
applications and libraries from OS network vagaries.

%description devel -l pl.UTF-8
Biblioteka xtrans dostarcza warstwę tłumaczenia sieciowego API służącą
do oddzielenia aplikacji i bibliotek X od kaprysów sieciowych systemu
operacyjnego.

%prep
%setup -q -n xtrans-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-docs

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README doc/xtrans.html
%{_includedir}/X11/Xtrans
%{_npkgconfigdir}/xtrans.pc
%{_aclocaldir}/xtrans.m4
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-xtrans.git;a=log;h=master

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> accfdf8
- updated to 1.3.2

* Thu Nov 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 98c95c0
- updated to 1.3.1 (restores API used by libFS)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> dcfade1
- updated to 1.3.0

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 39a359e
- updated to 1.2.7

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> e2a71f2
- BR: docbook-dtd43-xml

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f99c0d1
- dropped pre-cvs changelog

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 3df215f
- updated to 1.2.6

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> d9ea820
- macros for _npkgconfigdir

* Sat Oct 17 2009 Jakub Bogusz <qboosh@pld-linux.org> 8c9252e
- updated to 1.2.5
- .pc file now in noarch dir
- package devel docs

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> f2071d6
- no need to ldconfig

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ea1bf6d
- up to 1.2.4

* Mon Jan 12 2009 Jakub Bogusz <qboosh@pld-linux.org> 4f0f034
- util-macros version

* Sun Jan 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ab0658a
- up to 1.2.3

* Wed Oct 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d173bb6
- up to 1.2.2

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 65f2e8e
- up to 1.2.1

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 803396a
- updated to 1.2

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b85774c
- up to 1.1

* Wed Aug 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 88355ae
- added README to doc

* Wed Aug 22 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 29ab13f
- up to 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3899de2
- tabs in preamble

